package MicroLang;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author	 Adrian Knoth
 * @version 1.0
 */

public class AsgTy extends StatTy {

  IdTy Id;
  ExprTy Expr;

  public AsgTy() {
  }

  public AsgTy(IdTy Id, ExprTy Expr, StatTy NextStat) {

    this.Id = Id;
    this.Expr = Expr;
    this.NextStat = NextStat;

  }

  public void identify(BlockTy SurrBlock) throws MicroSemanticError
  {
    if (Id!=null) Id.identify(SurrBlock);
    else throw new MicroSemanticError("No Variable to assign a value");

    if (Expr!=null) Expr.identify(SurrBlock);
    else throw new MicroSemanticError("No Expression to assign to the variable");

    if (NextStat!=null) NextStat.identify(SurrBlock);

  }

  public String typCompat () throws MicroSemanticError {

  }    
        
}