package MicroLang;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author       Adrian Knoth
 * @version 1.3
 */

public class BinaryExprTy extends ExprTy{

  MicroToken Operator;
  ExprTy LeftOperand;
  ExprTy RightOperand;

  public BinaryExprTy() {
  }

  public BinaryExprTy(MicroToken Operator, ExprTy LeftOperand,
                      ExprTy RightOperand) {

    this.Operator = Operator;
    this.LeftOperand = LeftOperand;
    this.RightOperand = RightOperand;
  }

  public void identify(BlockTy SurrBlock) throws MicroSemanticError
  {
    if (LeftOperand!=null) LeftOperand.identify(SurrBlock);
    else throw new MicroSemanticError("Left Operand missing");

    if (RightOperand!=null) RightOperand.identify(SurrBlock);
    else throw new MicroSemanticError("Right Operand missing");
  }

  public String typCompat () throws MicroSemanticError {
  }
    
}