package MicroLang;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author    Adrian Knoth
 * @version 1.0
 */

public class WhileTy extends StatTy{

  ExprTy Condition;
  StatTy Body;

  public WhileTy() {
  }

  public WhileTy(ExprTy Condition, StatTy Body, StatTy NextStat) {
    this.Condition = Condition;
    this.Body = Body;
    this.NextStat = NextStat;
  }

  public void identify(BlockTy SurrBlock) throws MicroSemanticError
  {
    if (Condition!=null) Condition.identify(SurrBlock);
    else throw new MicroSemanticError("Condition in While-Loop is missing");

    if (Body!=null) Body.identify(SurrBlock);
    else throw new MicroSemanticError("Statements in While-Loop are missing");

    if (NextStat!=null) NextStat.identify(SurrBlock);
  }

  public String typCompat () throws MicroSemanticError {
  }
  
}